Dismiss activity notifications
POST
/v1/home/dismiss-event
const url = 'https://shareout.site/v1/home/dismiss-event';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"eventId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/home/dismiss-event \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "eventId": "example" }'Hide actionable Needs You events for the signed-in user. Used by the notifications panel (single dismiss, mark-all-read, or opening a card).
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Dismissed
Media type application/json
object
ok
boolean
Example generated
{ "ok": true}Invalid request
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Authentication required
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}